; (function (window, document, undefined) {
    $.ajax({
        url: "http://121.43.55.7:10082/activate/verify/verify",//路径  
        type: "POST",  //提交方式
        async: false,
        data: {
            "key": "ce92ac35b727c5749ffa337cae755917",
            "address": location.hostname
        },// 数据，这里使用的是Json格式进行传输  
        success: function (result) {//返回数据根据结果进行相应的处理  
            window.Skysenery = Cesium
            var viewerFunc = Cesium.Viewer;
            Cesium = undefined;
            delete Skysenery.VERSION;
            window.Skysenery.version = '1.0.0'
            if (typeof module === 'object' && typeof module.exports === 'object') {
                module.exports = Skysenery;
            } else if (typeof define === 'function' && define.amd) {
                define(Skysenery);
            }
            Skysenery.Viewer.prototype.viewer = null;
            Skysenery.Viewer = function () {
                var viewer = new viewerFunc(arguments[0], arguments[1])
                Skysenery.Viewer.prototype.viewer = viewer
                return viewer;
            }
            Skysenery.add3DTilesData = function (name, viewer) {
                var viewerObj = viewer
                if (name != undefined) {
                    if (typeof name != "string") {
                        throw "name parameter error"
                    }
                } else {
                    throw "name cannot be empty"
                }
                if (viewerObj == undefined) {
                    viewerObj = Skysenery.Viewer.prototype.viewer
                }
                try {
                    var tileset = new Skysenery.Cesium3DTileset({
                        url: "http://122.228.13.28:1008/3DTiles/oujiangkou/" + name + "/tileset.json",
                        skipLevelOfDetail: true, //开启跳级加载
                        maximumMemoryUsage: 1024, //最大内存占用  推荐显存的一般
                        preferLeaves: true,
                        maximumScreenSpaceError: 16,
                        maximumNumberOfLoadedTiles: 2000,
                    });
                    viewerObj.scene.primitives.add(tileset);
                    return tileset;
                } catch (error) {
                    throw "viewer error"
                }
            };
            Skysenery.createMatrix4 = function (matrixParam) {
                var tileModelTool = matrixParam;
                if (matrixParam.scale != undefined) {
                    if (typeof matrixParam.scale != "number") {
                        throw "scale parameter error"
                    }
                } else {
                    matrixParam.scale = 1
                }
                if (matrixParam.longitude != undefined) {
                    if (typeof matrixParam.longitude != "number") {
                        throw "longitude parameter error"
                    }
                } else {
                    matrixParam.longitude = 116
                }
                if (matrixParam.latitude != undefined) {
                    if (typeof matrixParam.latitude != "number") {
                        throw "latitude parameter error"
                    }
                } else {
                    matrixParam.latitude = 39
                }
                if (matrixParam.height != undefined) {
                    if (typeof matrixParam.height != "number") {
                        throw "height parameter error"
                    }
                } else {
                    matrixParam.height = 0
                }
                if (matrixParam.rx != undefined) {
                    if (typeof matrixParam.rx != "number") {
                        throw "rx parameter error"
                    }
                } else {
                    matrixParam.rx = 0
                }
                if (matrixParam.ry != undefined) {
                    if (typeof matrixParam.ry != "number") {
                        throw "ry parameter error"
                    }
                } else {
                    matrixParam.ry = 0
                }
                if (matrixParam.rz != undefined) {
                    if (typeof matrixParam.rz != "number") {
                        throw "rz parameter error"
                    }
                } else {
                    matrixParam.rz = 0
                }
                var mx = Skysenery.Matrix3.fromRotationX(
                    Skysenery.Math.toRadians(tileModelTool.rx)
                );
                var my = Skysenery.Matrix3.fromRotationY(
                    Skysenery.Math.toRadians(tileModelTool.ry)
                );
                var mz = Skysenery.Matrix3.fromRotationZ(
                    Skysenery.Math.toRadians(tileModelTool.rz)
                );
                var rotationX = Skysenery.Matrix4.fromRotationTranslation(mx);
                var rotationY = Skysenery.Matrix4.fromRotationTranslation(my);
                var rotationZ = Skysenery.Matrix4.fromRotationTranslation(mz);
                //平移 修改经纬度
                var position = Skysenery.Cartesian3.fromDegrees(
                    tileModelTool.longitude,
                    tileModelTool.latitude,
                    tileModelTool.height
                );
                var m = Skysenery.Transforms.eastNorthUpToFixedFrame(position);
                //旋转、平移矩阵相乘
                Skysenery.Matrix4.multiply(m, rotationX, m);
                Skysenery.Matrix4.multiply(m, rotationY, m);
                Skysenery.Matrix4.multiply(m, rotationZ, m);
                //缩放 修改缩放比例
                var scale = Skysenery.Matrix4.fromUniformScale(tileModelTool.scale);
                Skysenery.Matrix4.multiply(m, scale, m);
                return m;
            };
        },
        error: function (err) {
            console.log("Failed to import plug-in package. Please contact technical personnel!")
        }
    });
}(window, document));